Bug 646538 - [abrt] qemu-img-2:0.13.0-1.fc14: get_cluster_table: Process /usr/bin/qemu-img was killed by signal 11 (SIGSEGV)
[abrt] qemu-img-2:0.13.0-1.fc14: get_cluster_table: Process /usr/bin/qemu-img...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:6c0e196bce89c3cce4a9ada18d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-25 11:53 EDT by Richard W.M. Jones
Modified: 2013-01-09 18:16 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (16.63 KB, text/plain)
2010-10-25 11:53 EDT, Richard W.M. Jones
no flags Details
Fix for the qcow2 preallocate segfault (1.26 KB, patch)
2010-10-26 09:27 EDT, Stefan Hajnoczi
no flags Details | Diff

  None (edit)
Description Richard W.M. Jones 2010-10-25 11:53:52 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: qemu-img create -f qcow2 -o preallocation=metadata /dev/null 1M
component: qemu
crash_function: get_cluster_table
executable: /usr/bin/qemu-img
kernel: 2.6.35.6-46.fc14.x86_64
package: qemu-img-2:0.13.0-1.fc14
rating: 4
reason: Process /usr/bin/qemu-img was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1288021976
uid: 500

How to reproduce
-----
With qemu-img 0.13.0-1 from Fedora 14, non-root, do:

$ qemu-img create -f qcow2 -o preallocation=metadata /dev/null 1M
Formatting '/dev/null', fmt=qcow2 size=1048576 encryption=off cluster_size=0 preallocation='metadata' 
Segmentation fault (core dumped)
Comment 1 Richard W.M. Jones 2010-10-25 11:53:58 EDT
Created attachment 455566 [details]
File: backtrace
Comment 2 Richard W.M. Jones 2010-10-25 11:54:35 EDT
Does not segfault on F13.
Comment 3 Stefan Hajnoczi 2010-10-26 09:27:15 EDT
Created attachment 455769 [details]
Fix for the qcow2 preallocate segfault

This patch has been sent to qemu-devel for upstream inclusion.
Comment 4 Cole Robinson 2012-05-20 19:49:16 EDT
F14 is EOL and this fix is already in F15, so closing.

Note You need to log in before you can comment on or make changes to this bug.